Table of Contents
=================

* [Format Module](#format-module)
  * [Install](#install)
    * [API](#api)
  * [Developer](#developer)
    * [Test](#test)
    * [Documentation](#documentation)
    * [Readme](#readme)
  * [License](#license)

Format Module
=============

Format library used to generate printable output from decoded [resp](http://redis.io/topics/protocol) messages.

Component of the [jsr](https://github.com/freeformsystems/jsr) library.

Requires [node](http://nodejs.org) and [npm](http://www.npmjs.org).

## Install

```
npm i jsr-format
```

### API

Convert responses to readable output:

```javascript
var Format = require('jsr-format').Format
  , fmt = new Format();
fmt.convert(new Error('ERR'));              // (error) ERR
fmt.convert(null, 10);                      // (integer) 10
fmt.convert(null, 'foo');                   // "foo"
fmt.convert(null, new String('OK'));        // OK
```

Convert the output of `CLIENT LIST` to an array of objects:

```javascript
var ListParser = require('jsr-format').ListParser
  , lp = new ListParser();
lp.parse('id=1 age=10\nid=2 age=20');       // [{id: 1, age: 10}, {id: 2, age: 20}]
```

See the [tests](https://github.com/freeformsystems/jsr-format/blob/master/test/spec) for more examples.

## Developer

### Test

Tests are not included in the package, clone the repository:

```
npm test
```

### Documentation

To generate all documentation:

```
npm run docs
```

### Readme

To build the readme file from the partial definitions (requires [mdp](https://github.com/freeformsystems/mdp)):

```
npm run readme
```

## License

Everything is [MIT](http://en.wikipedia.org/wiki/MIT_License). Read the [license](https://github.com/freeformsystems/jsr-format/blob/master/LICENSE) if you feel inclined.

Generated by [mdp(1)](https://github.com/freeformsystems/mdp).

[node]: http://nodejs.org
[npm]: http://www.npmjs.org
[mdp]: https://github.com/freeformsystems/mdp
[jsr]: https://github.com/freeformsystems/jsr
[resp]: http://redis.io/topics/protocol
