/**
 *  Parse line delimited key=value pairs, suitable for the
 *  output of CLIENT LIST.
 */
function ListParser() {}

/**
 *  Parse a client list.
 */
function parse(input) {
  var list = [];
  var lines = input.split('\n').filter(function(line) {
    return line;
  })

  lines.forEach(function(line) {
    var parts = line.split(/\s+/)
      , obj = {};
    parts.forEach(function(item) {
      var ind = item.indexOf('=')
        , key = item.substr(0, ind)
        , value = item.substr(ind + 1);
      if(value.toLowerCase() === ('' + null)) {
        value = null;
      }
      if(/^-?[0-9]+$/.test(value) && !isNaN(parseInt(value))) {
        value = parseInt(value);
      }
      obj[key] = value;
    })
    list.push(obj);
  })

  return list;
}

ListParser.prototype.parse = parse;

module.exports = ListParser;
